Bug 525317 - kernel fails to boot with modesetting enabled on a Nvidia GeForce 8400GS
Summary: kernel fails to boot with modesetting enabled on a Nvidia GeForce 8400GS
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 21:42 UTC by Karsten Roch
Modified: 2010-02-22 03:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 03:41:34 UTC


Attachments (Terms of Use)

Description Karsten Roch 2009-09-23 21:42:42 UTC
Description of problem:

kernel 2.6.31-33.fc12.i686 fails to boot with kernel based modesetting enabled on a Nvidia GeForce 8400GS

When booting with kernel 2.6.31-33.fc12.i686 and modesetting enabled, the screen turns blank directly after i selected the kernel to boot from grub menu. 
With the kerneloption "nomodeset" i be able to boot the kernel 2.6.31-xx. (i tested 2.6.31-33.fc12.i686 and 2.6.31-14.fc12.i686) Earlier kernels, such as 2.6.30.5-43 work without the option "nomodeset" Booting from CD (Fedora 12 alpha) also fails on my computer.

Version-Release number of selected component (if applicable):
kernel 2.6.31-33.fc12.i686

How reproducible:

Always

Steps to Reproduce:
1. Boot kernel 2.6.31-33.fc12.i686 without option nomodeset 
2.
3.
  
Actual results:

Screen turns blank, but booting continues.

Expected results:

Screen stays on, progress bar or text mode to be seen on screen.

Additional info:

Comment 1 Ben Skeggs 2009-09-25 08:18:45 UTC
It would be very useful if you could post your /var/log/messages from after an attempt at booting with KMS enabled.

Thanks!

Comment 2 Karsten Roch 2009-09-25 17:03:53 UTC
Please find the /var/log/messages after a failed booting attempt (without "nomodeset") here:

http://pastebin.com/m7d9f784f

Cordialement
Karsten

Comment 3 Ben Skeggs 2009-09-25 23:52:40 UTC
Ok, I've seen another case of this bug.  The DRM thinks your panel's EDID is invalid for some reason or another.

I'm not 100% sure if it'll make it there, but there may be a /sys/class/drm/card0-DVI-I-1/edid file.  Are you able to either login blindly and copy it somewhere for upload, or ssh into the machine and copy it.

Comment 4 Karsten Roch 2009-09-26 18:51:33 UTC
There is an edid file, but it is empty. I include a dmesg from startup and the directory listing from /sys/class/drm/card0-DVI-I-1 as a putty-logfile here:

http://pastebin.com/m5e24814a


I also tried the VGA output on the Nvidia GS8400 card, similar result. Is there any possibility to check the edid-return of my screen (a LG Flatron M1917A, analog Input)?

Regards
Karsten

Comment 5 Bug Zapper 2009-11-16 12:49:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Ben Skeggs 2010-01-11 04:29:39 UTC
Can I get an update on the situation if you update to http://koji.fedoraproject.org/koji/buildinfo?buildID=147895 ?

Thanks!

Comment 7 Karsten Roch 2010-01-11 20:53:18 UTC
(In reply to comment #6)
> Can I get an update on the situation if you update to
> http://koji.fedoraproject.org/koji/buildinfo?buildID=147895 ?
> 
> Thanks!    

I installed and tried kernel 2.6.31.9-174.fc12.i686, but unfortunately no changes. I still need to use the nomodeset - option. 

Also with the latest kernel from Rawhide (2.6.32.2-18.fc13) i need to have nomodeset enabled.

Regards
Karsten

Comment 8 Karsten Roch 2010-02-08 19:25:46 UTC
Status update:

Using:

kernel 2.6.33-0.40.rc7.git0.fc13.i686
xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.i686 
nouveau-firmware-20091212-1mnb2.noarch

i no longer need the nomodeset option at boot. 

I'm using a modified xorg.conf for my needs, i got the Geforce 8400GS with the nouveau driver working.

Regards
Karsten

Comment 9 Ben Skeggs 2010-02-22 03:41:34 UTC
Thank you :)


Note You need to log in before you can comment on or make changes to this bug.